package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.bank.BankApi;
import cn.iocoder.yudao.module.ecw.api.bank.dto.BankAccountDTO;
import cn.iocoder.yudao.module.ecw.convert.bankAccount.BankAccountConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.bankAccount.BankAccountDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.bankAccount.BankAccountMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BankApiImpl implements BankApi {
    @Resource
    private BankAccountMapper bankAccountMapper;

    @Override
    public BankAccountDTO getBankAccountByAccountNo(String baAccountNum) {
        BankAccountDO bankAccountDO = bankAccountMapper.selectOne("ba_account_num", baAccountNum);
        if (bankAccountDO != null) {
            return BankAccountConvert.INSTANCE.convertDTO(bankAccountDO);
        }
        return null;
    }
}
